%global _empty_manifest_terminate_build 0
Name:		pycpuinfo
Version:	9.0.0
Release:	2
Summary:	Get CPU info with pure Python 2 & 3
License:	MIT
URL:		https://github.com/workhorsy/py-cpuinfo
Source0:	https://files.pythonhosted.org/packages/37/a8/d832f7293ebb21690860d2e01d8115e5ff6f2ae8bbdc953f0eb0fa4bd2c7/py-cpuinfo-9.0.0.tar.gz
Patch0001:	0001-pycpuinfo-9.0.0-add-loongarch-support.patch
BuildArch:	noarch


%description
Py-cpuinfo gets CPU info with pure Python. Py-cpuinfo should work
without any extra programs or libraries, beyond what your OS provides.

%package -n python3-pycpuinfo
Summary:	Get CPU info with pure Python 2 & 3
Provides:	python-pycpuinfo
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description -n python3-pycpuinfo
Py-cpuinfo gets CPU info with pure Python.

%package help
Summary:	Development documents and examples for py-cpuinfo
Provides:	python3-pycpuinfo-doc

%description help
Py-cpuinfo gets CPU info with pure Python.

%prep
%autosetup -n py-cpuinfo-%{version} -p1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-pycpuinfo -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu May 09 2024 Huang Yang <huangyang@loongson.cn> - 9.0.0-2
- add loongarch support

* Wed Nov 16 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 9.0.0-1
- Update package to version 9.0.0

* Thu Sep 29 2022 guozhengxin <guozhengxin@kylinos.cn> - 8.0.0-1
- Upgrade package to version 8.0.0

* Sat Jul 18 2020 Python_Bot <Python_Bot@openeuler.org> - 7.0.0-1
- Package Spec generated
